#
# spec file for package kicad-footprints
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# 5.0.x are bugfix versions, do not require users to upgrade symbols/footprints/packages
%define compatversion 5.0.0

Name:           kicad-footprints
Version:        5.1.8
Release:        bp153.1.14
Summary:        Footprint library for KiCad
# License is CC-BY-SA-4.0 but there is an exception
# See included LICENSE.md and kicad-pcb.org/libraries/license/
License:        CC-BY-SA-4.0
Group:          Productivity/Scientific/Electronics
URL:            https://kicad-pcb.org
Source:         https://gitlab.com/kicad/libraries/kicad-footprints/-/archive/5.1.8/kicad-footprints-%{version}.tar.bz2#/%{name}-%{version}.tar.bz2
BuildRequires:  cmake
BuildRequires:  fdupes
BuildArch:      noarch
Provides:       kicad-footprints = %{compatversion}
# kicad library has been removed, fp-lib-table was moved
Conflicts:      kicad-library <= 4.0.7
Provides:       kicad-library:%{_datadir}/kicad/template/fp-lib-table

%description
KiCad is a software suite used for Electronic Design Automation (EDA).

This is the footprints library package for KiCad.

%prep
%setup -q

%build
%cmake \
    -DKICAD_DATA:PATH=%{_datadir}/kicad
%cmake_build

%install
%cmake_install
%fdupes %{buildroot}/%{_datadir}/kicad/modules/

%files
%doc README.md CONTRIBUTING.md
%license LICENSE.md
%{_datadir}/kicad/

%changelog
* Fri Nov  6 2020 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.8
  See https://kicad.org/blog/2020/11/KiCad-5.1.8-Release/ for details.
- Updated Source URL to gitlab
* Mon Sep 28 2020 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.7, no changelog provided
* Fri May 29 2020 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.6
  See http://kicad-pcb.org/blog/2020/05/KiCad-5.1.6-Release/ for details.
* Fri Feb 14 2020 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Add Conflicts for kicad-library, removed/split with kicad-5.0.0,
  fixes upgrade path for e.g. Leap 15.2.
* Mon Nov 18 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.5
  See http://kicad-pcb.org/blog/2019/11/KiCad-5.1.5-Release/ for details.
* Wed Aug  7 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.4
  See http://kicad-pcb.org/blog/2019/08/KiCad-5.1.4-Release/ for details.
* Mon Apr 15 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.1
  See http://kicad-pcb.org/blog/2019/04/KiCad-5.1.1-Release/ for details.
* Mon Mar 11 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.1.0
  See http://kicad-pcb.org/blog/2019/03/KiCad-5.1.0-Release/ for details.
* Thu Dec  6 2018 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.0.2
* Thu Oct 18 2018 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 5.0.1
- Shorten description, strip verbose language duplicated from KiCad package
* Sun Jul 22 2018 davejplater@gmail.com
- Update to version 5.0.0
- License is now CC-BY-SA-4.0
* Mon Sep  4 2017 davejplater@gmail.com
- Update to version 4.0.7
* Thu Mar 23 2017 xxxxxmichl@googlemail.com
- Update to version 4.0.6
* Thu Jan 12 2017 davejplater@gmail.com
- Update to version 4.0.5
* Mon Sep 12 2016 davejplater@gmail.com
- Update to version 4.0.4
* Mon Aug  8 2016 dmitry_r@opensuse.org
- Update to version 4.0.3
* Mon Mar 21 2016 dmitry_r@opensuse.org
- Initial package, version 4.0.2
